{% extends 'base.html' %}
{% block title %} Search {% endblock %}

{% block content %}
    <div class="search-bar mt-sm-2 mr-2">
        <form method="get">
            <label for="id_q">Search</label><input type="text" class="form-control" name="q" id="id_q" placeholder="Search...">
        </form>

    </div>
    <br>
    {% if collection %}
        <div class="table-responsive">
            <table class="table align-center table-dark table-sm table-bordered border-primary">
                <thead>
                <tr>
                    <th>File Name</th>
{#                    <th>Archive</th>#}
                    <th>created_on</th>
                    <th>created_by</th>
                    <th>size</th>
                </tr>
                <tbody>
                {% for file in collection %}
                    <tr>
                        <th><i class="bi bi-file-pdf"></i>
                        <a href="#"
                               onclick="copyResponseToBox('View File {{ file.file_name }}?',
                                       'view_file_title', '{% url 'list-archived-file' file.id %}', 'update_file_body')"
                               data-bs-toggle="modal"
                               data-bs-target="#viewFile"> {{ file.file_name }}</a></th>
                        <th>{{ file.created_on }}</th>
                        <th>{{ file.created_by }}</th>
                        <th>{{ file.filename.size|filesizeformat }}</th>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>


        <nav aria-label="Page navigation example">
            <ul class="pagination">
                {% if collection.has_previous %}
                    <li class="page-item"><a class="page-link" href="?page=1">&laquo First</a></li>
                    <li class="page-item"><a class="page-link"
                                             href="?page={{ collection.previous_page_number }}">Previous</a>
                    </li>
                {% endif %}
                <li class="page-item disabled"><a class="page-link" href="#">Page {{ collection.number }}
                    of {{ collection.paginator.num_pages }}</a></li>
                {% if collection.has_next %}
                    <li class="page-item"><a class="page-link" href="?page={{ collection.next_page_number }}">Next</a>
                    </li>
                    <li class="page-item"><a class="page-link" href="?page={{ collection.paginator.num_pages }}">last
                        &raquo</a>
                    </li>
                {% endif %}

            </ul>
        </nav>
    {% else %}
        <p> No collection containing " {{ query }} "</p>
    {% endif %}

    <script type="text/javascript">
        document.getElementById("id_q").value = "{{ query }}"
    </script>
      <!-- Modal View File -->

    <div class="modal fade" id="viewFile" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="view_file_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="update_file_body">
                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock %}